<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>電商系統 - 首頁</title>
    <script src="{{ url_for('static' , filename = '/js/jquery/jquery-3.6.0.min.js')}}"></script>
    <style>
      .login {
        color: white;
        background-color: blue;
      }
      .logout {
        color: white;
        background-color: red;
      }
      .wrong{
        color: white;
        background-color: gray;
      }
    </style>
</head>
<body>
    <h1>電商系統</h1>
    <hr>
    <h2>狀態</h2>
    {% if login_status != undefined %}
      {% if login_status %}
        <span class="login">已登入</span>
      {% else %}
        <span class="logout">未登入</span>
        {% if login_msg != undefined and login_msg != '' %}
          <span class='wrong'> ({{ login_msg }}) </span>
        {% endif %}
      {% endif %}
    {% endif %}
    <hr>
    <h2>導航 :</h2>
    <a href="/user">會員資料</a>
    <a href="/order">訂單查詢</a>
    <a href="/other">未知頁面</a>
    <hr>
    <h2>動作 :</h2>
    {% if login_status != undefined %}
      {% if login_status %}
        <a href="/logout">登出</a>
      {% else %}
        <form action="/login" method="POST">
          帳號 : <input type="text" name="account" />
          <input id="chkRememberMe" type="checkbox" name="isRememberMe" value="true"/>記住我<br />
          密碼 : <input type="password" name="password"/>
          <button type="submit">Login</button>
        </form>
      {% endif %}
    {% endif %}

    <hr>
    <h2>Reference</h2>
    <ul>
        <li><a href="https://24h.pchome.com.tw/">PChome</a></li>
        <li><a href="https://www.books.com.tw/">博客來</a></li>
        <li><a href="https://shopee.tw/">蝦皮</a></li>
    </ul>
    <a href="https://flask.palletsprojects.com/en/2.0.x/errorhandling/#blueprint-error-handlers">Blueprint Error Handlers</a>
</body>
</html>
